    {% set formId = crudMainFormId|default('crud_main_form') %}

    {% block crud_content_header %}
        <h1>{{ ('crud.' ~ crud_name ~ '.title_new')|trans({'%crud_name%' : crud_name }) }}</h1>
    {% endblock crud_content_header %}

    {% block crud_content_form %}
        {{ form_start(form, { 'attr' : { 'id': formId } }) }}

        {% block crud_content_form_rows %}
        {% for f in form %}{% if f.vars.name != 'submit' %}
        {{ form_row(f) }}
        {% endif %}{% endfor %}
        {% endblock crud_content_form_rows %}

        {% block crud_content_after_form %}{% endblock %}

        {{ form_end(form) }}

    {% block crud_content_form_actions %}
        <ul class="record_actions sticky-form-buttons">
            {% block content_form_actions_back %}
                <li class="cancel">
                    <a class="btn btn-cancel" href="{{ chill_return_path_or('chill_crud_'~crud_name~'_index') }}">
                        {{ 'Cancel'|trans }}
                    </a>
                </li>
            {% endblock %}
            {% block content_form_actions_save_and_close %}
                <li class="">
                    <button type="submit" name="submit" value="save-and-close" class="btn btn-create" form="{{ formId }}">
                        {{ 'crud.new.save_and_close'|trans }}
                    </button>
                </li>
            {% endblock %}
            {% block content_form_actions_save_and_show %}
                <li class="">
                    <button type="submit" name="submit" value="save-and-show" class="btn btn-create" form="{{ formId }}">
                        {{ 'crud.new.save_and_show'|trans }}
                    </button>
                </li>
            {% endblock %}
            {% block content_form_actions_save_and_new %}
                <li class="">
                    <button type="submit" name="submit" value="save-and-new" class="btn btn-create" form="{{ formId }}">
                        {{ 'crud.new.save_and_new'|trans }}
                    </button>
                </li>
            {% endblock %}
        </ul>
        {% endblock %}

        {{ form_end(form) }}
    {% endblock %}

